
package de.ivu.elect.presentation.system.menu;

import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.menu.AbstractMenuItemEntry;
import de.ivu.elect.presentation.security.AbstractGebietSecurity;
import de.ivu.elect.presentation.system.PerformanceStatistikView;

public class PerformanceStatistikMenuItemEntry extends AbstractMenuItemEntry {

  private static final long serialVersionUID = 1L;

  @Override
  public boolean isRendered() {
    return hasUseCasePermission(UseCasePermission.PERFORMANCE_STATISTIK_SEARCH);
  }

  @Override
  public String getLabelKey() {
    return "performance.statistik.menu.item.label";
  }

  @Override
  public String getTargetViewId() {
    return PerformanceStatistikView.VIEW_ID;
  }

  @Override
  public boolean isDisabledInternal() {
    return false;
  }

  @Override
  public String getIcon() {
    return getIcons().getIconClock();
  }

  @Override
  protected AbstractGebietSecurity getGebietSecurity() {
    return KEINE_GEBIET_SECURITY;
  }

}
